function updateBullets()
	for i, bullet in pairs(bullets) do
		--Nils
		if bullet.speed == nil then
			bullet.speed = 150
		end
		if bullet.outerCircle == nil then
			bullet.outerCircle = 4
		end
		if bullet.timer3 == nil then
			bullet.timer3 = 0
		end
		
		--update TimerStuff
			bullet.outerCircle = bullet.outerCircle - (4*hdt)
			bullet.timer3 = bullet.timer3 + hdt
			
		--particle spawning
			if bullet.timer3 > 0.1 and bullet.id == 3 then
				newParticle = {x = bullet.x, y = bullet.y, xdir = math.random(-1,1), ydir = math.random(-1,1), id = 2} table.insert(particles, newParticle)
				bullet.timer3 = 0
			end
		for j, tile in pairs(tiles) do
			if collision(tile.x,tile.y,40,40,bullet.x,bullet.y,0.1,0.1) and bullet.id == 2 and options.particles then
				n = 10
				while n > 0 do
					newParticle = {x = bullet.x, y = bullet.y, xdir = -bullet.xdir/650, ydir = -bullet.ydir/650, id = 3} table.insert(particles, newParticle)
					n = n - 1
				end
			end
		end
			
		--limits
			if bullet.outerCircle < 0 then
				bullet.outerCircle = 0
			end
		
		--Dirs
		if bullet.xdir == nil or bullet.ydir == nil then
			if bullet.dir == 1 then
				bullet.y = bullet.y - (bullet.speed*hdt)
			elseif bullet.dir == 2 then
				bullet.x = bullet.x + (bullet.speed*hdt)
			elseif bullet.dir == 3 then
				bullet.y = bullet.y + (bullet.speed*hdt)
			elseif bullet.dir == 4 then
				bullet.x = bullet.x - (bullet.speed*hdt)
			end
		else
			bullet.x = bullet.x + (bullet.xdir*hdt)
			bullet.y = bullet.y + (bullet.ydir*hdt)
		end
		
		--Basic Collision
		for j, tile in pairs(tiles) do
			if collision(bullet.x,bullet.y,1,1,tile.x,tile.y,40,40) and tile.exist then
				if bullet.id > 1 or bullet.id < 1 then
				if tile.id > 100 or tile.id < 100 then
				if tile.id > 101 or tile.id < 101 then
				if tile.id > 102 or tile.id < 102 then
					if bullet.id > 2 or bullet.id < 2 then
					if bullet.id > 100 or bullet.id < 100 then
						newBullet = {x = bullet.x, y = bullet.y, id = 1, radius = 1, alpha = 255} table.insert(bullets, newBullet)
					end
					end
					table.remove(bullets, i)
						if options.particles then
						n = 10
						while n > 0 do
							newParticle = {x = bullet.x, y = bullet.y, xdir = -bullet.xdir*0.2+math.random(-25,25), ydir = -bullet.ydir*0.2+math.random(-25,25), id = 3} table.insert(particles, newParticle)
							n = n - 1
						end
						end
						--hit sound
						if bullet.id == 2 then
							love.audio.stop(s_hit1)
							love.audio.play(s_hit1)
						end
				end
				end
				end
				end
			elseif collision(bullet.x,bullet.y,1,1,player.x,player.y,playerImg:getHeight(),playerImg:getWidth()) then
				if bullet.id > 100 or bullet.id < 100 then
					respawn()
				end
			end
		end
		
		
		--bounds
		if bullet.x > 1280+100 or bullet.x < -100 or bullet.y > 720 + 100 or bullet.y < -100 then
			table.remove(bullets, i)
		end
		
		
		
	end
end