function updateExplosion()
	for i, bullet in pairs(bullets) do
		if bullet.id == 1 then
			
			--nils
			if bullet.exploded == nil then
				bullet.exploded = false
			end
			
			--particles
			if bullet.exploded == false then
				playS(s_explosion)
				if options.particles then
					n = 50
					while n > 0 do
						newParticle = {x = bullet.x, y = bullet.y, xdir = math.random(-400,400), ydir = math.random(-400,400), id = 3} table.insert(particles, newParticle)
						n = n - 1
					end
				end
				
				
				bullet.exploded = true
			end
			
			--radius
			if bullet.radius < 60 then
				bullet.radius = bullet.radius + (450*hdt)
			end
			if bullet.radius > 60 or bullet.radius == 60 then
				bullet.alpha = bullet.alpha - (600*hdt)
			end
			
			--kill player
			if math.dist(bullet.x,bullet.y,player.x+(playerImg:getHeight()/2),player.y+(playerImg:getWidth()/2)) < 60 and bullet.alpha > 50 then
				if raytrace(player.x+10,player.y+10,bullet.x,bullet.y) then	else	--check if tile is blocking
					respawn()
				end
			end
			
			

			--remove explosion
			if bullet.alpha < 0 then
				table.remove(bullets, i)
			end
			
		end
	end
end