function updatePlayer()
	--gravity
	if col.down then
		player.y = player.y + (gravity*hdt)
	end
	
	player.y = player.y - (player.jump*hdt)
	if col.up then
		player.jump = player.jump - (800*hdt)
	end
	if player.jump < 0 then
		player.jump = 0
	end
	
	if player.inCircle then
		if sp == nil or sp == false then
			--playS(s_blip1)
			sp = true
		end
	else
		sp = false
	end
	
	--respawn if stuck
	for i, tile in pairs(tiles) do
		if math.dist(player.x,player.y,tile.x,tile.y) < 40 then
			if collision(player.x+5,player.y+5,10,10,tile.x+5,tile.y+5,30,30) and tile.id == 0 then
				if menu.page == 0 or menu.page == 3 then
					respawn()
				end
			end
		end
	end
	
	
	
	
	--bounds
	if player.y > 720 then
		respawn()
	end
	if player.y < 0 and menu.page == 0 and trans.x < -4000 then
		respawn()
	end
	if player.x > 1280-playerImg:getWidth() then
		player.x = 1280-playerImg:getWidth()
	end
	if player.x < 0 then
		player.x = 0
	end
	
	player.inCircle = false
end